#!/bin/sh


# Important: Before running this script, ensure that you have a mechanism in
# place for dealing with Cygwin's ln and soft links (such as the included ln
# script somewhere in PATH before /usr/bin/ln).


# The following two lines assume a full MinGW compiler distribution in /mingw
export PATH=/mingw/bin:$PATH
export GCC_EXEC_PREFIX=/mingw/lib/gcc/


../gcc-3.4.5-20060117-2/configure --with-gcc --with-gnu-ld --with-gnu-as \
  --host=mingw32 --target=mingw32 --prefix=/mingw --enable-threads \
  --disable-nls --enable-languages=c,c++,f77,ada,objc,java \
  --disable-win32-registry --disable-shared --enable-sjlj-exceptions \
  --enable-libgcj --disable-java-awt --without-x --enable-java-gc=boehm \
  --disable-libgcj-debug --enable-interpreter --enable-hash-synchronization \
  --enable-libstdcxx-debug

make CFLAGS="-O2 -fomit-frame-pointer -D__USE_MINGW_ACCESS" \
  BOOT_CFLAGS="-O2 -fomit-frame-pointer -D__USE_MINGW_ACCESS" \
  CFLAGS_FOR_TARGET="-O2 -fomit-frame-pointer -D__USE_MINGW_ACCESS" \
  BOOT_CXXFLAGS="-mthreads -fno-omit-frame-pointer -O2" \
  BOOT_LDFLAGS=-s \
  bootstrap

make -C gcc CFLAGS=-O2 LDFLAGS=-s gnatlib_and_tools
